Subject: Re: [PATCH v4 2/7] git: allow alias-shadowing deprecated builtins

From: Junio C Hamano <[email-masked]>
Date: Thu, 11 Sep 2025 14:19:53 -0700

Jeff King <[email-masked]> writes:

> On Thu, Sep 11, 2025 at 04:32:56PM -0400, Jeff King wrote:
>
>> On Thu, Sep 11, 2025 at 07:31:04PM +0200, Kristoffer Haugsbakk wrote:
>> 
>> > But it turns out there is a regression in my code with the recursion
>> > detection.  Compare:
>> > 
>> >     $ ./git -c alias.one=two -c alias.two=two one -h
>> >     'one' is aliased to 'two'
>> >     'two' is aliased to 'two'
>> >     fatal: recursive alias: two
>> 
>> Your example there is a little funny; "two" is recursive to itself, even
>> without "one". We detect that case in handle_alias(), and we would still
>> detect:
>
> Also, I meant to say: good catch. :) I did not even think about loop
> detection at all in my suggestions.

Neither did I.  I am very glad that you two are very efficiently and
effectively collaborating on this topic together.  Thank you very
much and kudos for both of you.